LINUX.ORG.RU

Будете ли вы приобретать процессоры от intel в связи с аппаратной уязвимостью?

 , , ,


1

2

В связи с эпичной ситуацией Разработчики Linux и Windows работают над закрытием аппаратной уязвимости процессоров Intel и тем важным фактом, что обновления принесут ещё и тормоза.

  1. Да492 (46%)

    ********************************************************************************************************************************************************************************************************************************************************************************************************************************

  2. Нет335 (32%)

    *************************************************************************************************************************************************************************************************************************

  3. Не знаю234 (22%)

    ********************************************************************************************************************************************************

Всего голосов: 1061

Deleted

Проверено: Licwin ()

Ответ на: комментарий от rumgot

Исправили прошивкой без потери производительности

frost_ii ★★★★★ ()

В АМД их нет? Есть. Будто у нас большой выбор. Полторы компании, производящих конкурентную продукцию.

Ghostwolf ★★★ ()

С 2003 года небезосновательно люблю AMD и не планирую покупать интел.

With ★★★ ()
Ответ на: комментарий от user_id_68054

потомучто в archlinux до сих пор не научились обновлять микрокод AMD ..

Разве initrd /early_ucode.cpio в конфиге grub как-то зависит от дистрибутива?

imul ★★★★★ ()

Никогда не покупал Intel ¯\_(ツ)_/¯

necrus ★★★ ()
Ответ на: комментарий от StReLoK

Ещё лучше если ещё есть умение гуглить. Вот к примеру Lenovo почему-то выкладывает свежие прошивки к ноутбукам 5 летней давности

а если я найду? :-) , а если я найду модель ноутбука от Леново, у которого поддержка по выпуску прошивок прекратилась раньше чем через 5 лет — то теперь зная эту новую-для-тебя-информацию как ты будешь предлагать узнавать что новая модель ноубтука от Ленова уж точно не окажется тоже такой-же по сроку поддержки?

# P.S.: мне вообще кажется произошло следущее — ты узнал про парочку Леново-ноутбуков у которых срок поддерожки оказался достаточно долгим, и теперь ты думаешь распространить этот частный случай на общий случай.. мол якобы если пара ноутбуков оказалась с хорошей поддержкой, то и остальные тоже были (и будут).

# P.P.S.: как вообще можно было сравнивать процесс early-microcode-update в ядре операционной системы — с поддержкой производителя плат. операционная система обновляется в срок и всегда, а поддрежка производителя вообще не известно стоит ждать реакции от неё или нет для каждого из случаев обновления микрокода.

user_id_68054 ★★★★★ ()
Последнее исправление: user_id_68054 (всего исправлений: 2)

если они станут продаваться по 500 рублей - буду.

amd_amd ★☆ ()
Ответ на: комментарий от user_id_68054

Что ты найдёшь? Заброшенное через пол-года после выхода устройство? Да тысячи их. Не шлангуй, ты прекрасно понимаешь о чем я говорил.

StReLoK ☆☆ ()

в связи с аппаратной уязвимостью?

Русский не родной? В связи с аппаратной уязвимостью процессоры intel приобретать не буду. Несмотря на уязвимость - может быть.

no-such-file ★★★★★ ()

it depends... если, в связи со скандалом, я на мою плату с z170 смогу постаивать шестиядерный i5-8400, то да. А если нет, то когда будет нужен апгрейд куплю amd.

Aber ★★ ()
Ответ на: комментарий от no-such-file

Ты чо, не распознал родной русский канцелярит? Казенный язык — это функциональный стиль же :)

Несмотря на уязвимость - может быть.

«Вопреки» :)

slackwarrior ★★★★★ ()

Нет, я не приобретаю процессоры, я их беру ввиде оплаты за труд. А если про intel/не intel и уязвимости, то амуде тоже не сахарной пудрой покрыты.

Promusik ★★★★ ()

Да, смысл искать что-то другое, везде хватит закладок, уверен что ещё остались нераскрытые.

Ramil ★★★ ()

Я их и раньше не приобретал.

spqr ★★ ()
Ответ на: комментарий от Promusik

процессоры
ввиде оплаты за труд

Это что за шарага такая?

h578b1bde ★☆ ()
Ответ на: комментарий от StReLoK

Что ты найдёшь? Заброшенное через пол-года после выхода устройство? Да тысячи их. Не шлангуй, ты прекрасно понимаешь о чем я говорил.

не доконца. возможно ты говоришь что-то типа «при желании сможешь найти ноутбук, который с высокой вероятностью не окажется заброшенным быстро»

а я-то просто говорю что это хорошо *если* модель окажется не заброшенной — но надеяться на такое нельзя..

поэтому люди придумали обновление микрокода в момент загрузки ядра ОС.

а теперь (бац!) — в дистрибутиве Archlinux оказывается что нет обновления микрокода для AMD (в момент загрузки ядра ОС).

остаётся 3 основных варианта, если мы хотим использовать AMD:

1. использовать не Archlinux а что-то другое (однако для Intel у нас такого ограничения не было).

2. переделать процесс загрузки на более кастомный вид, и не забывать следить за этим гемороем.

3. надеяться простачком на то что сам производитель будет вовремя обновлять прошивку.

user_id_68054 ★★★★★ ()
Последнее исправление: user_id_68054 (всего исправлений: 1)

Да. До других то годы.

dk- ()

В связи с эпичной ситуацией

пофиг на интел, на амд и на все эпичные ситуации подобного плана, ибо... все наши гаджеты и девайсы, гуглы и мессенджеры, андроиды, йос и виндовсы- одна сплошная эпичная ситуация.

gray ★★★★★ ()

Не буду, потому что не требуется

admucher ()

Особо нет выбора, процессоры AMD тоже подвержены Spectre.

Deleted ()

Не собираюсь приобретать новый процессор еще года 2-3. Там посмотрю, склоняюсь к Intel.

Если таки нагло понадобиться выбрать проц в ближайшее время, то попробую AMD.

KennyMinigun ★★★★★ ()
Ответ на: комментарий от user_id_68054

в дистрибутиве Archlinux оказывается что нет обновления микрокода для AMD

Чем упарываешся?

BceM_IIpuBeT ★★ ()
Ответ на: комментарий от I-Love-Microsoft

я и так давно на AMD торчу

Твой комментарий, вкупе с аватаркой и ником, немного вводит в ступор.

densss ★★★ ()

Свой следующий комп я так и так собирался делать на рязани. Красных надо поддерживать!

morse ★★★★★ ()
Ответ на: комментарий от morse

Так там же тоже бэкдор, только называется по-другому. В чём разница?

EternalNewbie ()

Если речь идет про Spectre и Meltdown, то им подвержены и intel, и amd. Поскольку эксплуатируется спекулятивное исполнение инструкций.

hotpil ★★★ ()
Ответ на: комментарий от BceM_IIpuBeT

Чем упарываешся?

эрлилоадмикрокодином!

то есть ты тоже находешь это (моё) заявление неадекватным? рад слышать :-) что не я один небезразличен..

я конечно же не использую AMD, но выбор иметь хотелось бы

user_id_68054 ★★★★★ ()
Последнее исправление: user_id_68054 (всего исправлений: 1)
Ответ на: комментарий от EternalNewbie

Между бэкдорами? Понятия не имею. А между процами... Да тоже наверное понятия не имею. И те и другие, я думаю, по производительности перекроют мои потребности раза в два, а красные задо пилят крутые дрова для видеокарт, и за это получат мой спонсорский взнос.

morse ★★★★★ ()
Ответ на: комментарий от slackwarrior

В связи

Несмотря на

«Вопреки»

Превозмогая!

moot ★★★ ()
Ответ на: комментарий от imul

Разве initrd /early_ucode.cpio в конфиге grub как-то зависит от дистрибутива?

да, именно!

во первых — так как есть дистрибутиво-зависимые патчи для того чтобы этот конфиг бы генерировался как нужно.

вот например такой в Archlinux:

_https://git.archlinux.org/svntogit/packages.git/tree/trunk/0002-intel-ucode.patch?h=packages/grub

во вторых — потому что в дистрибутивах существуют пакеты, и соответственно пакеты с микрокодами. эти пакеты обновляются при вызове процесса обновления дистрибутива.

у нас же ведь не Linux From Scratch?

user_id_68054 ★★★★★ ()
Последнее исправление: user_id_68054 (всего исправлений: 2)
Ответ на: комментарий от qula

амуде до ризена как раз примерно аналог коры дуба

Да как бы не совсем.

//me хотеть тот амуде, который имеет по кешу на ядро. Корпус есть.

Задачи - тоже =)

Deleted ()

vim на amd быстрее работает чем emacs на via, так что я за интел

etwrq ★★★★ ()

Ждем следующий опросник: «Будете ли вы приобретать процессоры от AMD в связи с аппаратной уязвимостью?»

iron ★★★★★ ()

В ближайшие годы даже не планирую апгрейд т.к старого сендика еще за глаза хватает, а так ежели у амуде случится победа, то возможно подумаю.
А пока альтернативы нет. Зачем мне покупать горячее, сливающее в однопотоке нечто?

ritsufag ★★★★★ ()

Где графа «А выбор есть?» ?

torvn77 ★★★★ ()

Ты так говоришь, будто spectre касается только intel

Если вдруг кто ещё не понял: безопасности на x86, x86_64 и arm64 больше нет в принципе. Пока закрыли только доступ к памяти ядра( meltdown, специфичен для intel ). Но одно приложение до сих пор может читать память любого другого ( spectre ) - хоть на intel, хоть на amd

router ★★★★★ ()
Последнее исправление: router (всего исправлений: 2)

Нет. Досижу ещё какое-то время на платформе 775, а когда придёт время - однозначно AMD. Да и без этих уязвимостей отдавал предпочтение процам AMD в виду более качественной графики внутри по сравнению с говняной в Intel`ах.

Gannet ★★★ ()

Не знаю

К тому времени, как я соберусь обновлять комп - новых уязвимостей кучу раз найдут и закроют у обоих.

najlus ★★★★★ ()
Ответ на: комментарий от user_id_68054

Основная проблема линукса в кривой прокладке между стулом и клавиатурой. А поправить одну строчку в 10_linux вообще не проблема. Может вы операционкой ошиблись? Наверняка гейось вам больше подойдёт.

imul ★★★★★ ()

Учитывая, что дырки и у АМД, и у Интела - то буду смотреть по цена/производительность.

drfaust ★★★★★ ()

В ноутбуках мощное амуде со встроенной видюшкой не водится. Поэтому дырявый штеуд.

ox55ff ★★ ()
Ответ на: комментарий от imul

Наверняка гейось вам больше подойдёт.

или же просто процессор Intel :-)

user_id_68054 ★★★★★ ()
Ответ на: комментарий от router

одно приложение до сих пор может читать память любого другого ( spectre ) - хоть на intel, хоть на amd

Не драматизируй. Чтобы эксплуатировать Spectre для чтения памяти другого процесса, нужно сотрудничество с ядром, и пока что это только eBPF - AFAIK, он требует root.

tailgunner ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.